## org.eclipse.jet.xpath.inspector
Class InvalidChildException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.xpath.inspector.InvalidChildException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidChildException

extends java.lang.Exception

Represent an inconsistency between at child element's parent, and its parent as specified in a method call.

See Also:
  Serialized Form

Constructor Summary
`InvalidChildException(java.lang.Object parentElement, ExpandedName elementName, java.lang.Object childElement)` Create an exception instance

Method Summary
`java.lang.Object` `getChildElement()`
`ExpandedName` `getElementName()`
`java.lang.Object` `getParentElement()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidChildException

    public InvalidChildException(java.lang.Object parentElement,
                                 ExpandedName elementName,
                                 java.lang.Object childElement)

  Create an exception instance

  Parameters:
    `parentElement` - the parent Element
    `elementName` - the element name
    `childElement` - the child element that does not have parentElement as its parent.

Method Detail

### getChildElement

    public final java.lang.Object getChildElement()

  Returns:
    Returns the childElement.

### getElementName

    public final ExpandedName getElementName()

  Returns:
    Returns the elementName.

### getParentElement

    public final java.lang.Object getParentElement()

  Returns:
    Returns the parentElement.

Copyright 2006 IBM Corporation and others. All Rights Reserved.